//.b 	
//	Copyright 2001-2005 Botmeister
//	
//	File: tools.h
//	
//	General Library Definitions and Routines. 
//
//.e	

//.b skip over if header has already been included.
	#ifndef deftools_h

	// Prevent the reprocessing of this definition file by defining 
	// the alias used in the above "ifndef" check.
		#define deftools_h
		#include <cstring.h>
		#include <ctype.h>

		class tstVector
		{
			public:
				float x;
				float y;
				float z;
		}; // tstVector 

		bool fboCharStrIsOK( char *pch_ptr, unsigned long pinMaxLen );
		void fvoCharStrCopy( char *pch_ptrDest, char *pch_ptrSrc, unsigned long pinMaxLen );
		void fvoMakeCharStrReadable ( char *pch_ptrDest, char *pch_ptrSrc, unsigned long pinMaxLen );
		string ftxToUpper( string ptxString );
		void fvoToUpper( string &ptxString );
		string ftxToLower( string ptxString );
		void fvoToLower( string &ptxString );
		string ftxTrunc( string ptxString, unsigned int pinLength );
		void fvoTrunc( string &ptxString, unsigned int pinLength );
		int finStringToInt( string ptxString );
		unsigned int finStringToUInt( string ptxString );
		string ftxIntToString( int pinValue );
		string ftxUIntToString( unsigned int pinValue );
		string ftxLongToString( long plgValue );
		float fflStringToFloat( string ptxString );
		string ftxFloatToString( float pflValue );
		string ftxFloatToString( float pflValue, int pinPrecision );
		string ftxVectorToString( tstVector pstV );
		string ftxBoolToStr( bool pboBool, string ptxTrueStr, string ptxFalseStr );
		string fxtFillLead( string ptxInStr, unsigned long plgWidth, char pchFill );
		string fxtFillTrail( string ptxInStr, unsigned long plgWidth, char pchFill );
		string ftxIntToStringF( long plgValue, unsigned long plgWidth, char pchFillDir, char pchFill );
		string ftxTrimL( string ptxInStr );
		string ftxTrimR( string ptxInStr );
		string ftxTrim( string ptxInStr );
		string ftxExtractFilePath( string ptxFilePath );
		string ftxQuoteWrap( string ptxFilePath );
		bool fboFileExists( string ptxFileName );
		bool fboFileCanBeRead( string ptxFileName );
		bool fboFileCanBeWritten( string ptxFileName );
		int finRandom( int pinMin, int pinMax );
		float fflMinOf( float pflV1, float pflV2 );
		float fflMaxOf( float pflV1, float pflV2 );

	#endif // deftools_h
//.e skip over if header has already been included.

